/**
класс objInterface
методы интерфейса 
AVG - глобальный массив переменных, массивов и объектов
==============================================================================================
==============================================================================================
(c) Mychko Eduard, 2015, Moscow, Russia, eduard.mychko@gmail.com
==============================================================================================
*/
var objInterface = {
	
	
	
	/*----------------------------------сборка функций интерфейса----------------------------------*/
	interfaceBuild: function(AVG){
		this.click_menu(); /*переключение меню*/
		this.windEvents();
		this.change_lang_click(AVG); /*переключение языков*/
		this.change_lang(AVG); /*заполняем все элменты DOM в зависимости от языка*/
		this.build_inset(); /*создание контента всех вкладок заранее*/
		//this.switch_inset('measurement'); /*открытия вкладок, по умолчанию measurement*/
		this.toolbasInsetToggle();
		return false;
	},
	
	// события окна
	windEvents: function(){
		/*выход*/
		$('body').on('click', '#window-close', function(){
			 global.mainWindow.close();
  		});
		/*minimize*/
		$('#window-restore').on('click', function() {
		   global.mainWindow.minimize();
		});
		/*window-resize*/
		$('#window-resize').on('click', function() {
		   if ($( this ).hasClass('maximize')) {
			 global.mainWindow.restore();
			$( this ).toggleClass('maximize');
		  } else {
			 global.mainWindow.maximize();
			$( this ).toggleClass('maximize');
		  };
		});
	},
	/*----------------------------------переключение меню----------------------------------*/
	click_menu: function(){
		$('body').on('click', '.menu li', function(){
			var $selMenuItem = $(this);
			var selMenuItemCls =  $selMenuItem.attr('class');
			var arrMenuItem = selMenuItemCls.split(/\s+/);
			$selMenuItem.addClass('menu_hover_class'); /*присваиваем класс выделенного элемента*/
			$('.menu li:not(.'+arrMenuItem['0']+')').removeClass('menu_hover_class'); /*удаляем этот класс у других*/
			clsTitle=arrMenuItem['0'].split('-');
			objInterface.switch_inset(clsTitle[1]); 
		});
		return false;
	},
	
	/*---------------------------------------------------переключение языков---------------------------------------------------*/
	change_lang_click: function(AVG){
		$('body').on('click', '.header-lang span', function(){
			AVG.language = $(this).attr("data");
 			objInterface.change_lang(AVG);
		});
		return false;
	},

	/*-----------------заполнение текстом элементов DOM: перебирает массив domElements (dom-elements-list.js)--------------------------*/
	change_lang: function(AVG){
		for (var index = 0; index < AVG.domElements.length; ++index) {
			/*если указан атрибут*/
			if (AVG.domElements[index][2])	$(AVG.domElements[index][0]).attr(AVG.domElements[index][2],AVG.lang[AVG.language][AVG.domElements[index][1]]); /*заполняем элементы дома*/
			else $(AVG.domElements[index][0]).html(AVG.lang[AVG.language][AVG.domElements[index][1]]); /*заполняем элементы дома*/
		}
		return false;
	},
	
	/*----------------------------------------переключение вкладок----------------------------------------*/
	switch_inset: function(clsTitle){
 		$('.inset').hide();
		//$('#preloader').show();
		setTimeout( function(){
			objInterface.showFirstInsetToolbar('.content-'+clsTitle); /* показываем первую вкладку */ 
			//$('#preloader').hide();
			$('.content-'+clsTitle).fadeIn(); /*показываем вкладку с задержкой*/
			
		}, 100);
		return false;
	},
	
	/*----------------------------------создание контента всех вкладок заранее----------------------------------------*/
	build_inset: function(){
		this.measurement_inset();
		this.analysis_inset();
		this.modeling_inset();
		this.about_inset();
		return false;
	},
	
	/*----------------------------------------вкладка measurement----------------------------------------*/
	measurement_inset: function(){
		objFilelist.build(); /*создаем файллист*/
		this.swithTabs();  /*переключение вкладок*/
		$('#measurement_list').hide();
		objTablemeasur.build($('#measurement_list')); /*создаем таблицу*/
		objHelpers.add_scrollbar($('#measurement_list')); /*создаем скролл для файлового менеджера*/
		$('#images_list').html('<div id="no_image">NO IMAGES</div>');
		objMeasurement.build(); /*собираем канву, по умолчанию без изображения*/
		return false;
	},
	
	/*---------------------------------переключение вкладок таблицы слева---------------------------------*/
	swithTabs: function(){
		$('#content-toolbar-tabs-header-imagelist').css({'background' : 'rgb(248, 249, 249)','color' : 'rgb(130, 144, 151)'});
		$('body').on('click', '.content-toolbar-tabs-header li', function(){
			$('.content-toolbar-tabs-header li').css({'background' : 'rgb(130, 144, 151)','color' : 'rgb(248, 249, 249)'});
			$(this).css({'background' : 'rgb(248, 249, 249)','color' : 'rgb(130, 144, 151)'});
			$('.content-toolbar-tabs').hide();
			var tab = $(this).attr("data");
			$('#content-toolbar-tabs-'+tab).show();
		});
	},
	
	/*---------------------------------сделать вторую вкладку активной---------------------------------*/
	activeTabsTablelist: function(){
			$('#content-toolbar-tabs-header-tablelist').css({'background' : 'rgb(248, 249, 249)','color' : 'rgb(130, 144, 151)'});
 			$('#content-toolbar-tabs-header-imagelist').css({'background' : 'rgb(130, 144, 151)','color' : 'rgb(248, 249, 249)'});
			$('#content-toolbar-tabs-imagelist').hide();
			$('#content-toolbar-tabs-tablelist').show();
			return false;
	},
	
	/*----------------------------------------вкладка анализа----------------------------------------*/
	analysis_inset: function(){
		objAnalys.build();
		return false;
	},
	
	/*----------------------------------------вкладка modeling----------------------------------------*/
	modeling_inset: function(){
 		objModeling.build();
		return false;
	},
	
	/*----------------------------------------вкладка about-----------------------------------------------------*/
	about_inset: function(){
		objAbout.build();
		return false;
	},
	
	/*-----------------------------------сворачивание вкладок тулбара------------------------------------------------*/
	toolbasInsetToggle: function(){
		$('.header-content-toolbar').next('div').toggle().addClass("toggles");
		$('body').on('click', '.header-content-toolbar', function(){
			$(this).next('div').slideToggle();
			$('.header-content-toolbar').not(this).next('div').hide();
		});
	},	
	
	/*-----------------------------------раскрыть первую вкладку тулюара--------------------------------------------*/
	showFirstInsetToolbar: function(div){
		$(div+' .header-content-toolbar').next('div:first').show();
 	},
	
	/*--------------------------resize---------------*/
	updateWindow: function(){
		objFilelist.make_tru_size_content();
	},

};







